/*
 * Copyright 2008-2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.derquinsej.tuple;

/**
 * Implementation of a 3-element tuple.
 * @author Andres Rodriguez
 * @param <T1> First element type.
 * @param <T2> Second element type.
 * @param <T3> Third element type.
 */
final class Tuple3Impl<T1, T2, T3> extends AbstractTuple3<T1, T2, T3> {
	/**
	 * Constructor.
	 * @param e1 First element.
	 * @param e2 Second element.
	 * @param e3 Third element.
	 */
	Tuple3Impl(T1 e1, T2 e2, T3 e3) {
		super(e1, e2, e3);
	}
}
